Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezlink/user/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 8882 2002-01-04 14:48:21Z kaid $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 $ini =& eZINI::instance( 'site.ini' );
28 $GlobalSectionID = $ini->variable( "eZLinkMain", "DefaultSection" );
29
30 switch ( $url_array[2] )
31 {
32 case "gotolink" :
33 {
34 $Action = $url_array[3];
35 $LinkID = $url_array[4];
36 include( "kernel/ezlink/user/gotolink.php" );
37 }
38 break;
39
40 case "latest":
41 {
42 include( "kernel/ezlink/user/latest.php" );
43 }
44 break;
45
46 case "search" :
47 {
48 if ( isset( $url_array[3] ) and $url_array[3] == "parent" )
49 {
50 $QueryString = urldecode( $url_array[4] );
51 $Offset = $url_array[5];
52 }
53 include( "kernel/ezlink/user/search.php" );
54 }
55 break;
56
57 case "success" :
58 include( "kernel/ezlink/user/success.php" );
59 break;
60
61 case "category" :
62 case "group" :
63 {
64 if ( isset( $url_array[4] ) and $url_array[4] == "parent" )
65 $Offset = $url_array[5];
66 $LinkCategoryID = $url_array[3];
67 include( "kernel/ezlink/user/linkcategorylist.php" );
68 }
69 break;
70
71 case "linklist" :
72 {
73 $LinkCategoryID = $url_array[3];
74 include( "kernel/ezlink/user/onepagelinklist.php" );
75 }
76 break;
77
78 case "suggestlink" :
79 {
80 if ( isset( $url_array[3] ) and $url_array[3] == "insert" )
81 {
82 $Action = "insert";
83 include( "kernel/ezlink/user/suggestlink.php" );
84 }
85 else
86 {
87 $LinkCategoryID = $url_array[3];
88 include( "kernel/ezlink/user/suggestlink.php" );
89 }
90 }
91 break;
92
93 default :
94 print( "<h1>Sorry, Your link page could not be found. </h1>" );
95 break;
96 }
97
98 ?>
$Action
$Action
Definition: companysearch.php:80
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$GlobalSectionID
$GlobalSectionID
Definition: ezlink/user/datasupplier.php:28
$ini
$ini
Definition: ezlink/user/datasupplier.php:27
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.